apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  creationTimestamp: "2025-06-03T12:08:53Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  generation: 1
  labels:
    guestConverted: "true"
    migration: 3c22be50-a884-4f9b-94c6-1cc772da4cb6
    plan: 7b2aaf57-0365-401c-aab8-89238a7e37e2
    vmID: vm-2037
  name: mtv-func-rhel8-ameen
  namespace: mtv-target
  resourceVersion: "6382289"
  uid: f3b1f514-5a4d-48af-8f79-6148a91a7ecb
spec:
  runStrategy: Always
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: mtv-func-rhel8-ameen
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 1
          sockets: 1
        devices:
          disks:
          - bootOrder: 1
            disk:
              bus: virtio
            name: vol-0
            serial: 6000C297-06e0-192a-2cac-afb7f7c36a25
          - disk:
              bus: virtio
            name: vol-1
            serial: 6000C292-c4b3-0c53-d1eb-3d2df75c473c
          inputs:
          - bus: virtio
            name: tablet
            type: tablet
          interfaces:
          - macAddress: 00:50:56:be:8f:45
            masquerade: {}
            model: virtio
            name: net-0
        firmware:
          bootloader:
            bios: {}
          serial: 423e8fc6-e2fa-c9a3-b3e0-04c742c655c5
        machine:
          type: pc-q35-rhel9.4.0
        memory:
          guest: 2Gi
        resources: {}
      networks:
      - name: net-0
        pod: {}
      volumes:
      - name: vol-0
        persistentVolumeClaim:
          claimName: new-plan-vm-2037-7dbxk
      - name: vol-1
        persistentVolumeClaim:
          claimName: new-plan-vm-2037-ghrfv
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-06-03T12:09:03Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: LiveMigratable
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: StorageLiveMigratable
  - lastProbeTime: "2025-06-03T12:09:35Z"
    lastTransitionTime: null
    status: "True"
    type: AgentConnected
  created: true
  desiredGeneration: 1
  observedGeneration: 1
  printableStatus: Running
  ready: true
  runStrategy: Always
  volumeSnapshotStatuses:
  - enabled: true
    name: vol-0
  - enabled: true
    name: vol-1
